Moin,
da ich bei einem Update aus Versehen ein Upgrade auf Node.js 12.x vollzogen habe, hier mal ein paar Anleitungen für das Update oder für einen Wechsel der Versionen.
ioBroker bzw. einige Adapter benötigen für die ordnungsgemäße Funktion Node.js 10.x, bei mir lief aber auch alles mit Node.js 12.x nur die Meldung nervte mich :-)

(Sudo je nach Rechten optional notwendig (:~# = kein Sudo notwendig weil volle SU Rechte)(:~$ = Sudo notwendig weil keine SU Rechte))

Anleitung für Linux
Node.js 10.x Update
Konsole öffnen und erstmal ioBroker anhalten
Code:
iobroker stop
gleich nach ein paar Updates für ioBroker schauen und installieren
Code:
iobroker update
Code:
iobroker upgrade self
Node.js 10.x aktualisieren (hier unbedingt auf die Version achten, sonst gibt es ein Upgrade auf die aktuell höhere Version)
Code:
curl -s https://deb.nodesource.com/gpgkey/nodesource.gpg.key | apt-key add -
Code:
sudo sh -c "echo deb https://deb.nodesource.com/node_10.x disco main \> /etc/apt/sources.list.d/nodesource.list"
Code:
sudo apt-get update
Code:
sudo apt-get install nodejs -y
ioBroker wieder starten
Code:
iobroker start
fertig
.................................................. .................................................. .................................................. .......................

Anleitung für Linux
Node.js 12.x Update
Konsole öffnen und erstmal ioBroker anhalten
Code:
iobroker stop
gleich nach ein paar Updates für ioBroker schauen und installieren
Code:
iobroker update
Code:
iobroker upgrade self
Node.js 12.x aktualisieren (hier unbedingt auf die Version achten, sonst gibt es ein Upgrade auf die aktuell höhere Version)
Code:
curl -s https://deb.nodesource.com/gpgkey/nodesource.gpg.key | apt-key add -
Code:
sudo sh -c "echo deb https://deb.nodesource.com/node_12.x disco main \> /etc/apt/sources.list.d/nodesource.list"
Code:
sudo apt-get update
Code:
sudo apt-get install nodejs -y
ioBroker wieder starten
Code:
iobroker start
fertig
.................................................. .................................................. .................................................. .......................

Die Deinstallation der Node.js 12.x (auch andere Versionen) und zurück auf Node.js 10.x
ioBroker anhalten
PHP-Code:
iobroker stop 
Deinstallation
Code:
apt-get --purge remove nodejs -y
Code:
apt-get autoremove -y
Code:
reboot
Installation der Node.js 10.x
Code:
curl -s https://deb.nodesource.com/gpgkey/nodesource.gpg.key | apt-key add -
Code:
sudo sh -c "echo deb https://deb.nodesource.com/node_10.x disco main \> /etc/apt/sources.list.d/nodesource.list"
Code:
sudo apt-get update
Code:
sudo apt-get install nodejs -y
Code:
reboot
oder

Installation der Node.js 12.x
Code:
curl -s https://deb.nodesource.com/gpgkey/nodesource.gpg.key | apt-key add -
Code:
sudo sh -c "echo deb https://deb.nodesource.com/node_12.x disco main \> /etc/apt/sources.list.d/nodesource.list"
Code:
sudo apt-get update
Code:
sudo apt-get install nodejs -y
Code:
reboot
Der ioBroker sollte jetzt mit der installierten Node.js Version wie gewohnt starten.